Description

Both in the default and Dev_main branches.

APE creation works fine, but AB and ABX gets stuck when I press the "next" button in the last dialog. I tried both leaving only the
default checkboxes or unticking all the checkboxes.
Using python 2.7.10 to run the server on localhost on MacOS El Capitian
Steps to reproduce the problem:
    -  go to http://localhost:8000/demo.html
    -  click "Next" on the welcome page
    -  select the "AB" or "ABX" interface in the "Select your interface" dialog
    -  click "next" on the "test checks and restriction" and "test metrics" dialogs.
    -  you are then presented with the "test visuals" dialog. Click "Next" here and the page will hang indefinitely until Chrome displays
the "Aw Snap something went wrong" page

the server log up to this point will look like this:

127.0.0.1 - - [20/Feb/2016 14:39:28] "GET /demo.html HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:28] "GET /jquery-2.1.4.js HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test_create/test_create.html HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test_create/style.css HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /jquery-2.1.4.js HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test_create/test_core.js HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test_create/interface-specs.xml HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test-schema.xsd HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:39:31] "GET /test_create/attributes.json HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test_create/test_create.html HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test_create/style.css HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /jquery-2.1.4.js HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test_create/test_core.js HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test_create/interface-specs.xml HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test-schema.xsd HTTP/1.1" 200 -
127.0.0.1 - - [20/Feb/2016 14:41:17] "GET /test_create/attributes.json HTTP/1.1" 200 -

If you ctrl-C the python server before (or after) the "Aw snap" message you get this additional log

^CTraceback (most recent call last):
  File "pythonServer.py", line 122, in <module>
    run()
  File "pythonServer.py", line 120, in run
    httpd.serve_forever()
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/SocketServer.py", line 236, in serve_forever
    poll_interval)
  File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/SocketServer.py", line 155, in _eintr_retry
    return func(*args)
KeyboardInterrupt

no message is printed to the javascript console.

History
#1 - 2016-02-20 05:17 PM - Nicholas Jillings

This is a very strange bug, and I have experienced it myself. If the browser console is open it seems to work, likewise stepping through the code does
not cause this issue. Preliminary diagnosis indicates a severe memory leak.

#2 - 2016-02-20 05:51 PM - Giulio Moro

I have encountered this error systematically, regardless of the fact that the console was open or closed.

#3 - 2016-02-22 12:28 PM - Nicholas Jillings
- Status changed from New to Resolved

Fix in dev_main. Caused by re-using same index in nested loop. Would be triggered if the last metric option was not selected. Memory leak caused by
generating Metric Object repeatedly.
